package cn.com.qmth.examcloud.exchange.outer.api.request;

import cn.com.qmth.examcloud.api.commons.exchange.EnterpriseRequest;
import io.swagger.annotations.ApiModelProperty;

public class OuterQueryScoreListReq extends EnterpriseRequest {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "学校ID", required = true)
    private Long rootOrgId;

    @ApiModelProperty(value = "考试代码，推荐使用")
    private String examCode;

    @Deprecated
    @ApiModelProperty(value = "考试名称(废弃属性，实际上作为“考试代码”使用)")
    private String examName;

    @ApiModelProperty(value = "课程代码")
    private String courseCode;

    @ApiModelProperty(value = "查询起始时间，格式：yyyy-MM-dd HH:mm:ss")
    private String queryStartTime;

    @ApiModelProperty(value = "查询结束时间，格式：yyyy-MM-dd HH:mm:ss")
    private String queryEndTime;

    @ApiModelProperty(value = "分页：第几页，起始为1")
    private Integer pageNo;

    @ApiModelProperty(value = "分页：每页条数，限制最大100条")
    private Integer pageSize;

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public String getExamCode() {
        return examCode;
    }

    public void setExamCode(String examCode) {
        this.examCode = examCode;
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getQueryStartTime() {
        return queryStartTime;
    }

    public void setQueryStartTime(String queryStartTime) {
        this.queryStartTime = queryStartTime;
    }

    public String getQueryEndTime() {
        return queryEndTime;
    }

    public void setQueryEndTime(String queryEndTime) {
        this.queryEndTime = queryEndTime;
    }

    public Integer getPageNo() {
        return pageNo;
    }

    public void setPageNo(Integer pageNo) {
        this.pageNo = pageNo;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }
}